26.4.0 - Apr 21
Released: 2026-04-21
We’re pleased to announce the following updates to the Forward Networks API as part of release 26.4.0.
See also the full release notes for Forward Enterprise version 26.4.0.
Breaking changes
-
FWD-48774 Network Snapshots: The numerical timestamp properties of SnapshotInfo and SnapshotMetrics have been removed. Use the string timestamp properties instead:
creationDateMillis→createdAt,processedAtMillis→processedAt,restoredAtMillis→restoredAt,favoritedAtMillis→favoritedAt.- Affected operations:
- GET /api/networks/{networkId}/snapshots
- POST /api/networks/{networkId}/snapshots
- GET /api/networks/{networkId}/snapshots/latestProcessed
- GET /api/snapshots/{snapshotId}/metrics
- Affected operations:
-
FWD-48774 Networks: The numerical timestamp property
createdAtof Network has been converted to a string timestamp. A temporary string timestamp propertycreatedwas introduced in release 26.1 to ease the transition.- Affected operations:
- GET /api/networks
- PATCH /api/networks/{networkId}
- DELETE /api/networks/{networkId}
- POST /api/networks/{networkId}/snapshots
- POST /api/networks/{networkId}/workspaces
- Affected operations:
-
FWD-48774 Aliases: A numerical timestamp property of Alias has been removed. Use the string timestamp property instead:
creationTime→createdAt.- Affected operations:
- GET /api/snapshots/{snapshotId}/aliases
- DELETE /api/snapshots/{snapshotId}/aliases
- GET /api/snapshots/{snapshotId}/aliases/{name}
- PUT /api/snapshots/{snapshotId}/aliases/{name}
- DELETE /api/snapshots/{snapshotId}/aliases/{name}
- Affected operations:
-
FWD-48774 Network Checks: The numerical timestamp properties of NetworkCheckResult have been removed. Use the string timestamp properties instead:
creationDateMillis→createdAt,definitionDateMillis→definedAt,editDateMillis→editedAt,executionDateMillis→executedAt.- Affected operations:
- GET /api/snapshots/{snapshotId}/checks
- POST /api/snapshots/{snapshotId}/checks
- GET /api/snapshots/{snapshotId}/checks/{checkId}
- Affected operations:
Scheduled breaking changes
-
FWD-52020 Network Collection: The deprecated …/startcollection operation will be removed in release 26.6. Use POST /api/collector-tasks?type=NETWORK_COLLECTION instead.
- Affected operations:
- POST /api/networks/{networkId}/startcollection
- Affected operations:
-
FWD-52021 Network Collection: The deprecated …/collector/status operation will be removed in release 26.6. Use GET /api/collector-tasks/{collectorTaskId} instead.
- Affected operations:
- GET /api/networks/{networkId}/collector/status
- Affected operations:
-
FWD-52675 Networks: The Network property
created(a string timestamp) has been deprecated for removal in release 26.7. UsecreatedAt(also a string timestamp) instead.- Affected operations:
- GET /api/networks
- PATCH /api/networks/{networkId}
- DELETE /api/networks/{networkId}
- POST /api/networks/{networkId}/snapshots
- POST /api/networks/{networkId}/workspaces
- Affected operations:
Query parameter changes
- FWD-50222 Path Search: Added optional
domainparameter.- Affected operation:
- GET /api/networks/{networkId}/paths
- Affected operation:
Model changes
-
Alias
- FWD-48774 Removed the deprecated
creationTimeproperty - Affected operations:
- GET /api/snapshots/{snapshotId}/aliases
- DELETE /api/snapshots/{snapshotId}/aliases
- GET /api/snapshots/{snapshotId}/aliases/{name}
- PUT /api/snapshots/{snapshotId}/aliases/{name}
- DELETE /api/snapshots/{snapshotId}/aliases/{name}
- FWD-48774 Removed the deprecated
-
ClassicDeviceType
- FWD-50364 Added value "versa_director_api"
- FWD-51861 Added value "cisco_firewalls_on_firepower_ssh"
- Affected operations:
- GET /api/networks/{networkId}/classic-devices
- POST /api/networks/{networkId}/classic-devices
- PATCH /api/networks/{networkId}/classic-devices
- GET /api/networks/{networkId}/classic-devices/{deviceName}
- PUT /api/networks/{networkId}/classic-devices/{deviceName}
- PATCH /api/networks/{networkId}/classic-devices/{deviceName}
-
MissingDevice
- FWD-50364 Added
possibleTypesvalue "versa_director_api" - FWD-51861 Added
possibleTypesvalue "cisco_firewalls_on_firepower_ssh" - Affected operations:
- GET /api/networks/{networkId}/missing-devices
- FWD-50364 Added
-
Network, NetworkSnapshots
- FWD-48774 Changed the
createdAtproperty to a string timestamp - Affected operations:
- GET /api/networks
- GET /api/networks/{networkId}/snapshots
- FWD-48774 Changed the
-
NetworkCheckResult
- FWD-48774 Removed the deprecated
creationDateMillis,definitionDateMillis,editDateMillis, andexecutionDateMillisproperties. - Affected operations:
- GET /api/snapshots/{snapshotId}/checks
- POST /api/snapshots/{snapshotId}/checks
- GET /api/snapshots/{snapshotId}/checks/{checkId}
- FWD-48774 Removed the deprecated
-
PathSearchQuery
- FWD-50222 Added the
domainproperty - Affected operations:
- POST /api/networks/{networkId}/paths-bulk
- POST /api/networks/{networkId}/paths-bulk-seq
- FWD-50222 Added the
-
SnapshotInfo
- FWD-48774 Removed the deprecated
creationDateMillis,processedAtMillis,restoredAtMillis, andfavoritedAtMillisproperties. - Affected operations:
- GET /api/networks/{networkId}/snapshots
- POST /api/networks/{networkId}/snapshots
- GET /api/networks/{networkId}/snapshots/latestProcessed
- FWD-48774 Removed the deprecated
-
SnapshotMetrics
- FWD-48774 Removed the deprecated
creationDateMillisproperty. - Affected operations:
- GET /api/snapshots/{snapshotId}/metrics
- FWD-48774 Removed the deprecated